This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 221517 - yum downloads nearly complete packages instead of only headers when calculating dependencies
yum downloads nearly complete packages instead of only headers when calculati...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 16:32 EST by Till Maas
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 15:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-01-04 16:32:34 EST
Description of problem:

I just noticed that yum downloaded nearly 90 megabytes of headers for
openoffice.org-core package. The .hdr file is only 440 bytes smaller than the
whole package (440 is the start entry for the header in primary.xml)

Version-Release number of selected component (if applicable):
3.0.1-2


How reproducible:
It does it again when after I removed openoffice.org-core with rpm --nodeps -e

Steps to Reproduce:
1. rpm --nodeps -e openoffice.org-core
2. rm /var/cache/yum/updates/headers/openoffice.org-core
3. yum install openoffice.org-core
4. $ ls -la /var/cache/yum/updates/headers/openoffice.org-core-2.0.4-5.5.10.i386.hdr

  
Actual results:
Downloads around 90 megs of headers:

-rw-r--r-- 1 root root 92258305  3. Jan 19:21
/var/cache/yum/updates/headers/openoffice.org-core-2.0.4-5.5.10.i386.hdr

Expected results:
the filesize of the header should be only 443149 bytes.
Comment 1 Seth Vidal 2007-01-04 16:39:18 EST
1. what mirror was it using?
2. are you, by chance, behind a proxy server of some kind?
Comment 2 Till Maas 2007-01-04 16:49:36 EST
(In reply to comment #1)
> 1. what mirror was it using?

On from
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-fc$releasever&arch=$basearch

Is the used mirror somewhere stored or do I have to sniff the traffic to get the
information?

> 2. are you, by chance, behind a proxy server of some kind?
I am using a http_proxy, that appeears to be a squid/2.5.STABLE4
Comment 3 Seth Vidal 2007-01-04 16:53:49 EST
okay. Check with the proxy admin - see if they are allowing http 1.1 byte ranges
through the proxy. If they are not then there is the problem.
Comment 4 Till Maas 2007-01-04 17:26:05 EST
(In reply to comment #3)
> okay. Check with the proxy admin - see if they are allowing http 1.1 byte ranges
> through the proxy. If they are not then there is the problem.

I wrote a mail to the admin. With other packages it seems to work and for the
openoffice.org-core package yum skips the first 440 bytes as it is told in
primary.xml - is this done with byte ranges, too, or is it yum that just does
not store these bytes?

And in case that the proxy server does not support byte ranges, is it easily
possible to make yum close the http connection when it got the full header
instead of relying on the server to send only the wanted data?
Comment 5 Till Maas 2007-01-10 10:21:44 EST
(In reply to comment #3)
> okay. Check with the proxy admin - see if they are allowing http 1.1 byte ranges
> through the proxy.

Do you know which option in squid.conf this could be? The only related option I
found is:
# range_offset_limit 0 KB
which has the default value on the proxy.
Comment 6 Jeremy Katz 2007-04-25 15:01:24 EDT
With F7, we're not doing the header downloads anymore so this should be resolved
there

Note You need to log in before you can comment on or make changes to this bug.